アクセラと+αな生活
アクセラとα350と共に過ごす気まぐれ日記です。
Firefox ブラウザ無料ダウンロード
2017年10月
≪09月  1  2  3  4  5  6  7  8  9  10  11  12  13  14  15  16  17  18  19  20  21  22  23  24  25  26  27  28  29  30  31    11月≫
スポンサーサイト
上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。
前回 Flash Player バージョン10(以下、Flash 10)がセットアップできなかったので、いろいろ調べてみました。

Vine のML(http://ml.vinelinux.org/vine-users/msg29278.html)を見ていますと、Flash 10をセットアップするには、基本的に Vine 5.xを待つしかないようですね。。。><;


正式な Vine 5.x を待っていてもしょうがないし、Flash のためだけに自力で glibc を入れ替えるような愚行はしたくないので、Flash Player はバージョン 9 で対応することにしました。

【環境】
OS:VineLinux 4.2(Virtual PC 上へセットアップ)
 (2.6.16-76.49vl4 #1 SMP Tue May 12 21:27:00 JST 2009 i686 i686 i386 GNU/Linux)
ブラウザ:Firefox 3.0.10

【注意】
 過去のバージョンの Flash セットアップは自己責任で行って下さい。
 開発元もサポートしていないことですので。

 
テスト用で過去のバージョンの Flash Player がありますので、そちらからバージョン 9をダウンロード。

【Flash Playerのダウンロード先】
 ○http://www.adobe.com/jp/support/kb/ts/228/ts_228683_ja-jp.html
 falsh_02.jpg

 今回はFlash Player 9 (166MB)をダウンロードします。
 ※バージョン9の最新で動作すれば問題ないのですが、動作しない場合を考慮し、バージョン9全てのリリースが含まれているものをダウンロード。
 falsh_03.jpg

ダウンロードした「fp9_archive.zip」というファイルを解凍すると、Flash Player のリリース毎のインストーラーがディレクトリ毎に作成されます。
今回は「9r159」(バージョン9の最終リリース)ディレクトリにある「flashplayer9r159_linux.tar.gz」を使用します。
 ※もし、「9r159」がダメだった場合、他のバージョンを試してみるしかないかな??

この「flashplayer9r159_linux.tar.gz」を解凍すると「install_flash_player_9_linux」ディレクトリに「flashplayer-installer」と「libflashplayer.so」というファイルが作成されます。


で、「flashplayer-installer」がインストールを行うシェルになりますw
このインストールシェルのなかで、glibc のバージョンチェックを行ってます。
うちの Vine ちゃんの glibc は2.3がセットアップ済み。。。このインストールシェルでは glibc の必要バージョンはメジャーバージョンが2、マイナーバージョンが3以上なので、「9r159」でいけそうですねww

Flash Player は Firefox 3のプラグインとしてインストールされます。
Firefox 3 のプラグインは「/usr/lib/firefox-3.0/plugins」配下に作成されるので、この「/usr/lib/firefox-3.0/plugins」が存在するか確認しておきましょう。
無い場合は「mkdir」で作成しておけばいいのかな??
(普通であれば、「plugins」のディレクトリは作成されているはず。。。)

では、インストールを行ってみます。

解凍した「install_flash_player_9_linux」へ移動、実行ユーザはroot
# ./flashplayer-installer
 Copyright(C) 2002-2009 Adobe Macromedia Software LLC. All rights reserved.
 Adobe Flash Player 9 for Linux
 Adobe Flash Player 9 will be installed on this machine.
 
 You are running the Adobe Flash Player installer as the "root" user.
 Adobe Flash Player 9 will be installed system-wide.
 Support is available at http://www.adobe.com/support/flashplayer/
 To install Adobe Flash Player 9 now, press ENTER.
 To cancel the installation at any time, press Control-C.
「ENTER」を入力
 ※インストールを続ける場合「ENTER」、終了する場合「Control-C」

 NOTE: Please exit any browsers you may have running.
 Press ENTER to continue...
「ENTER」を入力
 ※ブラウザが立ち上がっている場合はブラウザを閉じて、「ENTER」

 Please enter the installation path of the Mozilla, Netscape, or Opera browser (i.e., /usr/lib/mozilla): /usr/lib/firefox-3.0
※ブラウザのインストールディレクトリを入力。うちのVine ちゃんはFirefox 3.0.10なので、「/usr/lib/firefox-3.0」

 ----------- Install Action Summary -----------
 Adobe Flash Player 9 will be installed in the following directory:
 Browser installation directory = /usr/lib/firefox-3.0
 Proceed with the installation? (y/n/q): y
 ※ブラウザのインストール先が「/usr/lib/firefox-3.0」であることを確認し、「y」
 
 Installation complete.
 Perform another installation? (y/n): n
 ※他のブラウザにもインストールする場合は「y」、今回はFirefox 3のみが対象なので「n」

 Please log out of this session and log in for the changes to take effect.
 The Adobe Flash Player installation is complete.


てな感じでセットアップは完了ww

プラグインがセットアップされているか確認します。
 falsh_04.jpg
 Firefox からも認識されていますねw


やっとこさ、無事に Firefox 3 上でFlash Player が動作してくれるようになりました♪
。。。Flashはバージョン9だけどね。。。
コメント
この記事へのコメント
URL :
コメント :
パスワード :
管理者にだけ表示を許可する
 
トラックバック
この記事のトラックバックURL
Template designed by アクセラと+αな生活

Powered by .
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。